package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.ProtData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.ProCountVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Repository
public interface ProtDataMapper extends BaseMapper<ProtData> {
    List<ProCountVo> listPh(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listPhYear(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listCod(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listCodYear(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listNh3n(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listNh3nYear(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listTp(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listTpYear(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listTn(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listTnYear(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listFlow(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProCountVo> listFlowYear(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);

    ProtData flowCount(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);

    List<ProtData> listAllScreen(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper );
}
